1 - 1.1
post /v1/data-ops
Description
create dataops
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| body | body required | DataOpsCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.1"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"data_ops_name": "",
"description": "",
"domain": "",
"dsc_domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"image_id": "",
"ingress_controller_name": "",
"instance_id": "",
"node_selector": "",
"storage_class_name": "",
"tags": [
{
"tag_key": "",
"tag_value": ""
}
]
}
Example HTTP response
Response 202
2 - 1.0
post /v1/data-ops
Description
create dataops
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20260701 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| header | Accept optional | Accept Example : application/json | string | application/json |
| header | Content-Type optional | Content-Type Example : application/json | string | application/json |
| header | Scp-Request-Path optional | Scp-Request-Path Example : openapi | string | openapi |
| body | body required | DataOpsCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | None |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/data-ops
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = data-ops 1.0"
Request body
{
"account": {
"account_id": "",
"account_password": ""
},
"cluster_id": "",
"data_ops_name": "",
"description": "",
"domain": "",
"dsc_domain": "",
"host_alias_list": [
{
"hostnames": [
""
],
"ip": ""
}
],
"image_id": "",
"ingress_controller_name": "",
"instance_id": "",
"node_selector": "",
"storage_class_name": "",
"tags": [
{
"tag_key": "",
"tag_value": ""
}
]
}